/**
 * Created by Administrator on 2017/12/18 0018.企业首页
 */
import dynamic from 'dva/dynamic';

// wrapper of dynamic
const dynamicWrapper = (app, models, component) =>
  dynamic({
    app,
    models: () => models.map(m => import(`../models/${m}.js`)),
    component
  });

export const EnterpriseHomePage = app => {
  return {
    name: '企业首页',
    icon: 'qiyeshouye saas saas-qiyeshouye',
    path: 'HomePage',
    children: [
      {
        name: '企业初始化',
        path: 'Initialization',
        component: dynamicWrapper(app, [], () =>
          import('../routes/Enterprise/HomePage/Initialization')
        )
      }
    ]
  };
};
